/**
 * 授权页面
 */

jQuery(function($) {

    var ajaxLock = false;
    $(document).on('click', '.auth-btn', function() {
        var roleUrl = $(this).data('url');
        var role = $(this).data('role');
        art.dialog.open(roleUrl, {
            title: '权限管理',
            width: 800,
            height: 400,
            button: [
                {
                    name: '授权',
                    callback: function() {
                        var iframe = this.iframe.contentWindow;
                        iframe.document.getElementById('dataLoad').style.display = "block";
                        if (!iframe.document.body) {
                            alert('页面尚未加载完成');
                            return false;
                        }
                        var nodes = iframe.zTree.getCheckedNodes(true);
                        var nodeStr = '';
                        var app_name = iframe.document.getElementById('app_name').value;
                        $.each(nodes, function(i, node) {
                            if (nodeStr != "") {
                                nodeStr += ",";
                            }
                            nodeStr += node.id;
                        });
                        if (ajaxLock == false) {
                            ajaxLock = true;
                        } else {
                            return false;
                        }
                        $.post(authUrl, {app_name: app_name, role: role, nodeStr: nodeStr, _csrf: csrfToken}, function(json) {
                            alert(json.info);
                            ajaxLock = false;
                            iframe.document.getElementById('dataLoad').style.display = "none";
                        }, 'json');

                        return false;

                    }
                }
            ],
            cancelVal: '关闭',
            cancel: true
        });
    });


    $(".check-item").on('click',function(){
        var item = $(this).parents(".item");
        if ($(this).is(":checked")) {
            item.find(":checkbox").prop("checked",true);
        }
        else {
            item.find(":checkbox").prop("checked",false);
        }
    });

    $(".check-tr").on('click',function(){
        var tr = $(this).parents("tr");
        if ($(this).is(":checked")) {
            tr.find(":checkbox").prop("checked",true);
        }
        else {
            tr.find(":checkbox").prop("checked",false);
        }
    });

    $(".switch-check-all").on('click',function(){
        if ($(this).html()=='全选') {
            $(this).html('全部取消');
            $(":checkbox").prop("checked",true);
        }
        else {
            $(this).html('全选');
            $(":checkbox").prop("checked",false);
        }
    });
    

});
